LifecycleStateEnum (CMDB Model API)
Keywords: com.collation.platform.model.topology.enums.LifecycleStateEnum interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.enums
Interface LifecycleStateEnum

All Superinterfaces:
  Enumeration

    public interface LifecycleStateEnum

extends Enumeration

Field Summary
`static int` | `ACCEPTED`
`static int` | `ARCHIVED`
`static int` | `BUILD`
`static int` | `DEVELOPMENT`
`static int` | `DISABLED`
`static int` | `DRAFT`
`static int` | `ENABLED`
`static int` | `IN_MAINTENANCE`
`static int` | `IN_TEST`
`static int` | `INSTALLED`
`static int` | `INVENTORY`
`static int` | `OFFLINE`
`static int` | `ORDERED`
`static int` | `OTHER`
`static int` | `POSTPRODUCTION`
`static int` | `PRODUCTION`
`static int` | `PRODUCTIONREADY`
`static int` | `RECEIVED`
`static int` | `RETIRED`
`static int` | `SUNSET`
`static int` | `TESTED`
`static int` | `UNKNOWN`
`static int` | `VALIDATE`

Field Detail

### UNKNOWN

    static final int UNKNOWN

See Also:
  Constant Field Values

### OTHER

    static final int OTHER

See Also:
  Constant Field Values

### ORDERED

    static final int ORDERED

See Also:
  Constant Field Values

### RECEIVED

    static final int RECEIVED

See Also:
  Constant Field Values

### IN_TEST

    static final int IN_TEST

See Also:
  Constant Field Values

### TESTED

    static final int TESTED

See Also:
  Constant Field Values

### INSTALLED

    static final int INSTALLED

See Also:
  Constant Field Values

### ENABLED

    static final int ENABLED

See Also:
  Constant Field Values

### DISABLED

    static final int DISABLED

See Also:
  Constant Field Values

### IN_MAINTENANCE

    static final int IN_MAINTENANCE

See Also:
  Constant Field Values

### RETIRED

    static final int RETIRED

See Also:
  Constant Field Values

### ARCHIVED

    static final int ARCHIVED

See Also:
  Constant Field Values

### ACCEPTED

    static final int ACCEPTED

See Also:
  Constant Field Values

### DRAFT

    static final int DRAFT

See Also:
  Constant Field Values

### BUILD

    static final int BUILD

See Also:
  Constant Field Values

### VALIDATE

    static final int VALIDATE

See Also:
  Constant Field Values

### PRODUCTIONREADY

    static final int PRODUCTIONREADY

See Also:
  Constant Field Values

### PRODUCTION

    static final int PRODUCTION

See Also:
  Constant Field Values

### SUNSET

    static final int SUNSET

See Also:
  Constant Field Values

### POSTPRODUCTION

    static final int POSTPRODUCTION

See Also:
  Constant Field Values

### INVENTORY

    static final int INVENTORY

See Also:
  Constant Field Values

### DEVELOPMENT

    static final int DEVELOPMENT

See Also:
  Constant Field Values

### OFFLINE

    static final int OFFLINE

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD